library dartgl_win;

import 'dart-ext:dartgl_win';

int createWindowSync(int width, int height, String title) native "createWindow";
int createWindowAsync(int width, int height, String title) native "createWindowAsync";
void showWindow(int handle, [int command = 1]) native "showWindow";
void hideWindow(int handle) native "hideWindow";
bool runWindow(int handle) native "runWindow";
int getDeviceContext(int handle) native "getDeviceContext";

int createContext(int hdc) native "createContext";
void makeContextCurrent(int hdc, int hglrc) native "makeContextCurrent";
bool swapBuffers(int hdc) native "swapBuffers";

void sleep(int time) native "sleep";

int test(Window window) native "test";

class Window {
  int w;
  int h;
  
  Window(this.w, this.h);
}
